Package be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

# Class GalenicformType

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.GalenicformType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:58+02:00", comments="JAXB RI v4.0.5") public class GalenicformType extends Object implements Serializable

Java class for galenicformType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="galenicformType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-GALENICFORM" minOccurs="0"/>
             <element name="galenicformtext" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GalenicformType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CDGALENICFORM`
  `getCd()`
  refers to a value of the reference table galenic forms
  `TextType`
  `getGalenicformtext()`
  galenic form as free text
  `void`
  `setCd(CDGALENICFORM value)`
  Sets the value of the cd property.
  `void`
  `setGalenicformtext(TextType value)`
  Sets the value of the galenicformtext property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GalenicformType

    public GalenicformType()

- ## Method Details

  - ### getCd

    public CDGALENICFORM getCd()
    refers to a value of the reference table galenic forms
    Returns:
      possible object is `CDGALENICFORM`

  - ### setCd

    public void setCd(CDGALENICFORM value)
    Sets the value of the cd property.
    Parameters:
      `value` - allowed object is `CDGALENICFORM`
    See Also:
      - `getCd()`

  - ### getGalenicformtext

    public TextType getGalenicformtext()
    galenic form as free text
    Returns:
      possible object is `TextType`

  - ### setGalenicformtext

    public void setGalenicformtext(TextType value)
    Sets the value of the galenicformtext property.
    Parameters:
      `value` - allowed object is `TextType`
    See Also:
      - `getGalenicformtext()`